﻿



Public Class frmPart1


    Private Sub frmPart1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        FillGrid()
    End Sub

    Private Sub FillGrid()
        CustomersTableAdapter.Fill(Me.DS.Customers)
    End Sub

    Private Sub CustomersBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CustomersBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.CustomersBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.DS)

    End Sub




    Private Sub btnRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresh.Click
        FillGrid()
    End Sub

    Private Sub btnSrchLastName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSrchLastName.Click
        '---search for exact match on last name
        Dim name2Find As String = txtFindExact.Text.Trim    'this is the parameter we pass to the method below

        '---tell tableadapter which method/query to use, where to put data (DataSet.TableName, Name2Find)
        'CustomersTableAdapter.FillBylastName(DS.Customers, name2Find)

        '===================Search For a Partial Match=============
        'SELECT     CustID, LastName, FirstName, MiddleInit, StreetAddress, City, State, Zip, Tele, Fax
        'FROM         Customers
        'WHERE     (LastName LIKE ? + '%')
        'ORDER BY LastName, FirstName
        '===============================================
        CustomersTableAdapter.FillByPattern(DS.Customers, name2Find)

    End Sub


    Private Sub BindingNavigatorDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorDeleteItem.Click
        '---be sure to set bindingnavigatordeleteitem prop = none!
        If MessageBox.Show("Are You Sure?", "Confirm Delete", MessageBoxButtons.YesNo, MessageBoxIcon.Question,
                           MessageBoxDefaultButton.Button2) = Windows.Forms.DialogResult.Yes Then

            If CustomersBindingSource.Count > 0 Then             'make sure there are records in the dataset
                CustomersBindingSource.RemoveCurrent()          'removes the selected item in the list of records
                UpdateDB()                                                      'save changes and refresh the grid
            End If
        End If
    End Sub

    Private Sub UpdateDB()
        '---tell the binding source we are done editing
        Me.CustomersBindingSource.EndEdit()
        Try
            '---update everything in DB
            Me.CustomersTableAdapter.Update(DS.Customers)
            'MessageBox.Show("Your database has been updated")

        Catch ex As Exception
            MessageBox.Show("An error occurred while updating this record. " & ex.Message, "Mr. Grid Error", _
                           MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

    End Sub
End Class
